EDIT - bug #9016

Adding specimen without field unit fails
05/14/2020 12:15 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: normal Found in Version:

Description

Sometimes specimen missing a field unit for example "[illustration] unnumbered figure in Weingart - Kakteenkunde: 14. 1933" (UUID:
b734ac9c-38a3-4a36-9¢c92-a2db72c4bab8) is lectotype of Acanthocereus maculatus in caryophyllales_spp. Adding this specimen to
the character matrix fails with

!ENTRY eu.taxeditor 2 0 2020-05-14 12:16:06.451
IMESSAGE Konnte keine Zeilen filir die folgenden Beschreibungen erzeugen:

java.lang.IllegalArgumentException: Could not create wrapper for Dataset Korotkova Cactaceae Morph
ology: Specimen description for [illustration] unnumbered figure in Weingart - Kakteenkunde: 14. 1
933

Related issues:
Related to EDIT - bug #9074: Specimen missing a collector + n° and missing a ... New

Associated revisions

Revision f2ac0034 - 05/15/2020 11:45 AM - Katja Luther

ref #8785: move add and delete specimen to menu and operations not saved directly but when editor is saved

History

#1 - 06/11/2020 11:02 PM - Katja Luther

This is fixed. For example for Aporocactus flagelliformis (L.) Lem. in caryophyllales_spp there are two specimen without field unit.

#2 - 06/12/2020 08:43 AM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Miiller

- % Done changed from 0 to 50

so | guess we can put it to resolved?

#3 - 06/12/2020 08:58 AM - Katja Luther

Andreas Muller wrote:

so | guess we can put it to resolved?

yes, please review

#4 - 06/16/2020 02:54 PM - Andreas Miller

- Related to bug #9074: Specimen missing a collector + n ° and missing a collection identifier (Barcode, Accession number) not identifiable in
descriptive Matrix added

#5 - 06/16/2020 02:55 PM - Andreas Miiller
- Tags set to additivity
- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 50 to 100

This works.

A related ticket that the protected titleCache of an orphaned derived unit is handled in #9074

04/23/2024 22


https://dev.e-taxonomy.eu/redmine/issues/9074
http://www.tcpdf.org

